petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatSetLayouts

Sets the PetscLayout objects for rows and columns of a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetLayouts(Mat A,PetscLayout rmap,PetscLayout cmap)

Logically Collective on A

### Input Parameters

| A | - the matrix
| rmap | - row layout
| cmap | - column layout

### See Also

MatCreateVecs(), MatGetLocalToGlobalMapping(), MatGetLayouts()

### Level

advanced

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages